# sdmmc_slot Struct Reference

SD/MMC Slot structure. More...

`#include <sdmmc.h>`

Collaboration diagram for sdmmc_slot:

[legend]

## Data Fields
int | id
struct sdmmc_host * | host
unsigned long | flags
struct sdmmc_card | card
uint32_t | bcr
uint32_t | ocr
int | bus_width
int | bus_width_max
int32_t | f_max
void(* | notify_card_detect )(void *context)
| Callback for hw card detect events.
void * | context
struct sdmmc_cd * | cd

## Detailed Description

SD/MMC Slot structure.

Definition at line 211 of file sdmmc.h.

## Field Documentation

uint32_t sdmmc_slot::bcr

Host Operating Condition Register

Definition at line 221 of file sdmmc.h.

int sdmmc_slot::bus_width

Current bus width

Definition at line 225 of file sdmmc.h.

Referenced by sdmmc_slot_power_up(), and sdmmc_slot_set_bus_width().

int sdmmc_slot::bus_width_max

Maximum bus width

Definition at line 227 of file sdmmc.h.

struct sdmmc_card sdmmc_slot::card`[read]`

SD/MMC Card structure.

Definition at line 219 of file sdmmc.h.

Referenced by sdmmc_req_prep_transfer().

struct sdmmc_cd* sdmmc_slot::cd`[read]`

Card detect

Definition at line 235 of file sdmmc.h.

void* sdmmc_slot::context

Arbitrary data for use by notify card detect

Definition at line 233 of file sdmmc.h.

Referenced by sdmmc_probe_init(), and sdmmc_slot_notify_card_detect().

int32_t sdmmc_slot::f_max

Maximum frequency

Definition at line 229 of file sdmmc.h.

Referenced by sdmmc_slot_init(), and sdmmc_slot_set_f_max().

unsigned long sdmmc_slot::flags

Flags. See sdmmc_slot_flags

Definition at line 217 of file sdmmc.h.

Referenced by sdmmc_slot_init(), sdmmc_slot_is_card_present(), sdmmc_slot_notify_card_detect(), and sdmmc_slot_power_up().

struct sdmmc_host* sdmmc_slot::host`[read]`

Host driver

Definition at line 215 of file sdmmc.h.

Referenced by sdmmc_slot_init(), sdmmc_slot_is_card_write_protected(), sdmmc_slot_power_down(), sdmmc_slot_power_up(), sdmmc_slot_set_f_max(), sdmmc_slot_set_voltage(), sdmmc_slot_submit_req(), and sdmmc_slot_update().

int sdmmc_slot::id

Slot id identifying the slot to the underlying driver

Definition at line 213 of file sdmmc.h.

Referenced by sdmmc_slot_init().

void(* sdmmc_slot::notify_card_detect)(void *context)

Callback for hw card detect events.

Referenced by sdmmc_probe_init(), sdmmc_slot_init(), and sdmmc_slot_notify_card_detect().

uint32_t sdmmc_slot::ocr

Card Operating Condition Register

Definition at line 223 of file sdmmc.h.

The documentation for this struct was generated from the following file:

- include/sdmmc/sdmmc.h